# $Revision: 1.35 $, $Date: 2001/08/11 13:44:20 $
Summary:	The Electric Eyes image viewer application
Summary(es):	Electric Eyes - Visualizador de Imgenes
Summary(fr):	Le visualiseur d'images Electric Eyes
Summary(pl):	Elektryczne Oczy - przegldarka plikw graficznych
Summary(pt_BR): Electric Eyes - Visualizador de Imagens
Name:		ee
Version:	0.3.12
Release:	5
License:	GPL
Group:		X11/Applications
Group(de):	X11/Applikationen
Group(pl):	X11/Aplikacje
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/ee/%{name}-%{version}.tar.gz
Icon:		ee.xpm
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	imlib-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	gnome-libs-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _prefix /usr/X11R6

%description
The ee package contains the Electric Eyes image viewer for the GNOME
desktop environment. Electric Eyes is primary an image viewer, but it
also allows many types of image manipulations. Electric Eyes can
handle almost any type of image.

%description -l es
El visor de imgenes Electric Eyes permite visualizar y manejar una
variedad de formatos de imgenes.

%description -l fr
Le package ee contient le visualiseur d'images Electric Eyes pour le
bureau graphique GNOME. Electric Eyes est d'abord un visualiseur
d'images, mais il peut aussi les modifier. Electric Eyes peut grer
quasiment tous les types d'images.

%description -l pl
"Elektryczne Oczy" s przegldark plikw graficznych w rnych
formatach dla GNOME. Electric Eyes jest przede wszystkim przegldark,
ale moe te suy do wykonywania niektrych operacji spotykanych w
programach do obrbki grafiki.

%description -l pt_BR
O visualizador de imagens Electric Eyes permite a visualizao e
manipulao de uma variedade de formatos de imagens.

%prep
%setup -q

%build
rm -rf missing
libtoolize --copy --force
gettextize --copy --force
aclocal -I macros
autoconf
automake -a -c
%configure \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Graphicsdir=%{_applnkdir}/Graphics/Viewers

gzip -9nf AUTHORS ChangeLog NEWS README

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_datadir}/mime-info/*
%{_applnkdir}/Graphics/Viewers/ee.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ee.spec,v $
Revision 1.35  2001/08/11 13:44:20  kloczek
- added libtool to BuildRequires.

Revision 1.34  2001/08/11 13:39:43  blues
- release 5
- make libtool happy
- some ac/am cleanups

Revision 1.33  2001/03/23 03:02:53  kloczek
- release 4: added few missin files in %files list.

Revision 1.32  2001/01/19 20:01:23  kloczek
- release 3,
- added automake, autoconf to BuildRequires,
- fixed %build and now ee can be builded using also automake 1.4b.

Revision 1.31  2000/10/27 10:52:40  kloczek
- release 2,
- use new rpm automation,
- rebuild against gnome-libs linked with db3.

Revision 1.30  2000/07/18 18:16:13  kloczek
- updated to 0.3.12,
- added using %%{_applnk} macro,
- desktop file moved to Graphics/Viewers.

Revision 1.29  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.28  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.26  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.24  2000/03/28 15:41:02  arturs
typo

Revision 1.23  2000/01/28 11:44:39  kloczek
- release 2,
- spec adapterized,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.22  1999/12/07 10:27:35  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.20  1999/09/28 23:21:59  kloczek
- next typo.

Revision 1.19  1999/09/28 23:21:06  kloczek
- typo.

Revision 1.18  1999/09/28 23:19:58  kloczek
- added package icon fiel.

Revision 1.17  1999/09/28 23:18:03  kloczek
- updated to 0.3.11,
- updated Buildrequires rules,
- added using %%configure macro,
- added DESTDIR style %install,
- desktop file moved to applnk dir (applnk patch),
- ne en and pl Summary and %description,
- added fr translation from Mandrake Linux and es, pt_BR from Conectiva.

Revision 1.16  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.15  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun May 30 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.3.8-7]
- based on RH spec,
- spec rewrited by PLD team.
